Subject: [netmod] RFC 8802 (reset to factory defaults) versus RFC 8342 (NMDA)

From: "Bogaert, Bart (Nokia - BE/Antwerp)" <[email-masked]>
Date: Fri, 6 Nov 2020 15:31:36 +0000

Hi,

We are a little confused when reading RFC8808 (reset to factory-default datastore) in relation to the "system configuration" source in figure 2 of RFC8342.  When correctly understanding RFC 8342, the running datastore is empty when the system starts up after coming from the factory, and 'factory default' data is entered in the operational datastore as 'system/default configuration' data.

RFC 8808 seems to suggest that the running datastore contains (factory-default, system) data when the system starts up after coming from the factory. I.e. the understanding is that a reset to factory default brings the system back to the status as if it comes from the factory, and it is said the factory default goes into the running, ...

What exactly is the content of the running datastore when it comes from the factory?
Could this be clarified?

Regards, Bart

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 6 Nov 2020 18:33:41 +0100

> What exactly is the content of the running datastore when it comes from the factory?

I consider RFC 8808 an extension that people may implement if their
systems do what RFC 8808 describes, namely that the running datastore
is bootstrapped from a factory default datastore. (Of course, a system
with an empty running datastore after a factory reset may claim to be
bootstrapped from an empty factory default datastore.)

In other words, I think the answer to "What exactly is the content of
the running datastore when it comes from the factory?" is that it is
empty. On first boot, on a system implementing RFC 8808, it would be
loaded with the content of the factory default datastore and on
systems not implementing RFC 8808 it would most likely remain empty.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>